Creates a new Connect Webview.To enable a user to connect their devices or systems to Seam, they must sign in to their device or system account. To enable a user to sign in, you create a connect_webview. After creating the Connect Webview, you receive a URL that you can use to display the visual component of this Connect Webview for your user. You can open an iframe or new window to display the Connect Webview.You should make a new connect_webview for each unique login request. Each connect_webview tracks the user that signed in with it. You receive an error if you reuse a Connect Webview for the same user twice or if you use the same Connect Webview for multiple users.See also: Connect Webview Process.
Authorizations
client_session_tokenpersonal_access_tokenapi_key
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
accepted_capabilities
enum<string>[]
List of accepted device capabilities that restrict the types of devices that can be connected through the Connect Webview. If not provided, defaults will be determined based on the accepted providers.
Custom metadata that you want to associate with the Connect Webview. Supports up to 50 JSON key:value pairs, with key names up to 40 characters long that cannot contain a period (.). Adding custom metadata to a Connect Webview enables you to store custom information, like customer details or internal IDs from your application. The custom metadata is then transferred to any connected accounts that were connected using the Connect Webview, making it easy to find and filter these resources in your workspace. You can also filter Connect Webviews by custom metadata. Set a key to null or to an empty string to remove that key from the custom metadata.
custom_redirect_failure_url
string
Alternative URL that you want to redirect the user to on an error. If you do not set this parameter, the Connect Webview falls back to the custom_redirect_url.
custom_redirect_url
string
URL that you want to redirect the user to after the provider login is complete.
customer_key
string
Associate the Connect Webview, the connected account, and all resources under the connected account with a customer. If the connected account already exists, it will be associated with the customer. If the connected account already exists, but is already associated with a customer, the Connect Webview will show an error.
excluded_providers
string[]
List of provider keys to exclude from the Connect Webview. These providers will not be shown when the user tries to connect an account.
provider_category
enum<string>
Specifies the category of providers that you want to include. To list all providers within a category, use /devices/list_device_providers with the desired provider_category filter.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Seam","colors":{"primary":"#4C45D9","light":"#9793EC","dark":"#2E27B9"},"logo":{"light":"https://mintcdn.com/seam/RVHI-5qT0fl5Zkft/images/seam-logo-light.svg?fit=max\u0026auto=format\u0026n=RVHI-5qT0fl5Zkft\u0026q=85\u0026s=4529d092246aab7709a6692a7cdccf39","dark":"https://mintcdn.com/seam/RVHI-5qT0fl5Zkft/images/seam-logo-dark.svg?fit=max\u0026auto=format\u0026n=RVHI-5qT0fl5Zkft\u0026q=85\u0026s=03fb0cba588d1fe9509b748f460ec77f"},"favicon":"https://mintcdn.com/seam/nEtd2JDrEIRXJ8-h/images/favicon.svg?fit=max\u0026auto=format\u0026n=nEtd2JDrEIRXJ8-h\u0026q=85\u0026s=387df3cc957aa637bdc0aae7bd0fd44f","api":{"playground":{"display":"simple"},"examples":{"autogenerate":false}},"background":{"color":{"light":"#FFFFFF","dark":"#090A0B"}},"navbar":{"links":[{"href":"https://console.seam.co/signin?utm_source=docs\u0026utm_medium=navbar","label":"Sign In"}],"primary":{"type":"button","label":"Sign Up","href":"https://console.seam.co/signup?utm_source=docs\u0026utm_medium=navbar"}},"footer":{"socials":{"github":"https://github.com/seamapi","website":"https://www.seam.co/"}},"seo":{"metatags":{"og:type":"website","og:site_name":"Seam","og:locale":"en_US","og:image":"https://www.seam.co/docs/images/seam-og-default.jpg","twitter:card":"summary_large_image","twitter:site":"@helloseam"},"indexing":"navigable"},"styling":{"codeblocks":"dark","latex":false},"integrations":{"ga4":{"measurementId":"G-WEDP4R501R"},"posthog":{"apiKey":"phc_uGxZi2ITs4kTMqcVibHr6wVWhJ1YKA2LpCbldvd3GYN","apiHost":"https://us.i.posthog.com"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"seam","hasAudioNarration":false,"actualSubdomain":"seam","customDomains":["www.seam.co"],"gitSource":{"type":"github","owner":"seamapi","repo":"docs","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"issues":false,"edits":false},"entitlements":{},"buildId":"6af775d19cf58dc41b2ac1cf","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"API Reference","count":336},{"language":"default","tag":"Brand Guides","count":251},{"language":"default","tag":"Guides","count":198},{"language":"default","tag":"Devices and Systems","count":143},{"language":"default","tag":"Access Control Systems","count":124},{"language":"default","tag":"Smart Locks","count":102},{"language":"default","tag":"Low-Level APIs","count":74},{"language":"default","tag":"Setup","count":72},{"language":"default","tag":"Thermostats","count":69},{"language":"default","tag":"Access Control Systems (ACS)","count":63}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".seam-property-index{max-height:20rem;overflow-y:auto;padding:0.75rem;border-radius:0.5rem;background:var(--seam-surface-2)}a.seam-ref{display:block;font-size:0.875rem;scroll-margin-top:10rem}.seam-brand-cover-source,#header>.seam-brand-cover{overflow:hidden;border-radius:0.5rem}#header>.seam-brand-cover{width:100%;margin:0 0 2rem}.seam-brand-cover-light,.seam-brand-cover-dark{display:block;width:100%;height:auto;aspect-ratio:16 / 9;object-fit:cover;margin:0}.seam-brand-cover-dark,.dark .seam-brand-cover-light{display:none}.dark .seam-brand-cover-dark{display:block}#content-area:has(#header>.seam-brand-cover) .seam-brand-cover-source{display:none}:root{--seam-primary-50: #e9e8fc;--seam-primary-100: #d4d2f9;--seam-primary-300: #9793ec;--seam-primary-400: #625ae2;--seam-primary-500: #4c45d9;--seam-primary-600: #2e27b9;--seam-primary-900: #0e1044;--seam-gray-25: #ffffff;--seam-gray-50: #eeeff2;--seam-gray-100: #e5e7eb;--seam-gray-200: #ccd0d7;--seam-gray-300: #acb2be;--seam-gray-400: #848b9a;--seam-gray-500: #5c6475;--seam-gray-600: #505668;--seam-gray-700: #31353f;--seam-gray-800: #282a30;--seam-gray-900: #191b1f;--seam-gray-950: #090a0b;--seam-txt-1: var(--seam-gray-950);--seam-txt-2: var(--seam-gray-500);--seam-txt-3: var(--seam-gray-400);--seam-surface-1: var(--seam-gray-25);--seam-surface-2: color-mix(in srgb, var(--seam-gray-50) 20%, var(--seam-gray-25));--seam-surface-3: var(--seam-gray-100);--seam-surface-4: var(--seam-gray-200);--seam-card: #ffffff;--seam-card-hover: rgb(240 240 240);--seam-accent: var(--seam-primary-500);--seam-accent-hover: var(--seam-primary-400);--seam-accent-text: var(--seam-primary-600);--seam-stroke: 0 0 0 0.5px rgb(9 10 11 / 0.1) inset}.dark{--seam-txt-1: var(--seam-gray-50);--seam-txt-2: var(--seam-gray-400);--seam-txt-3: var(--seam-gray-500);--seam-surface-1: var(--seam-gray-950);--seam-surface-2: color-mix(in srgb, var(--seam-gray-950) 99%, #737373);--seam-surface-3: var(--seam-gray-900);--seam-surface-4: color-mix(in srgb, var(--seam-gray-900) 95%, #fff);--seam-card: color-mix(in srgb, var(--seam-gray-900) 30%, #111);--seam-card-hover: color-mix(in srgb, var(--seam-gray-900) 60%, #242424);--seam-accent: var(--seam-primary-400);--seam-accent-hover: var(--seam-primary-300);--seam-accent-text: var(--seam-primary-300);--seam-stroke: 0 0 0 0.5px rgb(255 255 255 / 0.1) inset}.seam-container{max-width:1120px;margin:0 auto;padding:0 1.5rem}.seam-section{padding:4rem 0}.seam-section-alt{background:var(--seam-surface-2);box-shadow:0 0.5px 0 0 rgb(9 10 11 / 0.1) inset,\n 0 -0.5px 0 0 rgb(9 10 11 / 0.1) inset}.dark .seam-section-alt{box-shadow:0 0.5px 0 0 rgb(255 255 255 / 0.08) inset,\n 0 -0.5px 0 0 rgb(255 255 255 / 0.08) inset}.seam-hero{padding:5rem 0 3rem;background:radial-gradient(\n 60% 50% at 50% 0%,\n color-mix(in srgb, var(--seam-primary-500) 10%, transparent),\n transparent 70%\n )}.dark .seam-hero{background:radial-gradient(\n 60% 50% at 50% 0%,\n color-mix(in srgb, var(--seam-primary-400) 16%, transparent),\n transparent 70%\n )}.seam-h1{font-size:clamp(2rem, 4.5vw, 3.25rem);line-height:1.1;font-weight:600;letter-spacing:-0.03em;color:var(--seam-txt-1);max-width:20ch;margin:0 0 1.25rem}.seam-lede{font-size:1.125rem;line-height:1.6;max-width:60ch;color:var(--seam-txt-2);margin:0 0 3.5rem}.seam-h2{font-size:1.5rem;font-weight:600;letter-spacing:-0.02em;color:var(--seam-txt-1);margin:0 0 0.5rem}.seam-sub{color:var(--seam-txt-2);margin:0 0 1.75rem;max-width:65ch}.seam-btn{display:inline-flex;align-items:center;padding:0.625rem 1.125rem;border-radius:0.5rem;font-weight:525;font-size:0.9375rem;text-decoration:none!important;transition:background 120ms,\n box-shadow 120ms}.seam-btn-primary{background:var(--seam-gray-950);color:#fff!important;box-shadow:0 12px 16px 0 rgb(255 255 255 / 0.06) inset,\n 0 4px 4px 0 rgb(9 10 11 / 0.08),\n 0 1px 2px 0 rgb(9 10 11 / 0.1)}.seam-btn-primary:hover{background:var(--seam-gray-800)}.dark .seam-btn-primary{background:#fff;color:var(--seam-gray-950)!important}.dark .seam-btn-primary:hover{background:var(--seam-gray-100)}.seam-btn-secondary{background:var(--seam-card);color:var(--seam-txt-1)!important;box-shadow:var(--seam-stroke)}.seam-btn-secondary:hover{background:var(--seam-card-hover)}#topbar-cta-button a>span.absolute{background:var(--seam-gray-950)!important}#topbar-cta-button a:hover>span.absolute{background:var(--seam-gray-800)!important;opacity:1!important}.dark #topbar-cta-button a>span.absolute{background:#fff!important}.dark #topbar-cta-button a .z-10 span,.dark #topbar-cta-button a svg{color:var(--seam-gray-950)!important}.seam-path-grid{display:grid;grid-template-columns:1.35fr 1fr;gap:1.25rem;align-items:stretch}@media (max-width: 800px){.seam-path-grid{grid-template-columns:1fr}}.seam-agent-card,.seam-quickstart-card{display:flex;flex-direction:column;align-items:flex-start;padding:1.75rem;border-radius:0.75rem;background:var(--seam-card)}.seam-agent-card{background:var(--seam-gray-950);box-shadow:0 0.5px 0 0 #090a0b inset,\n 0 1px 0 0 rgb(255 255 255 / 0.12) inset,\n 0 12px 24px 0 rgb(9 10 11 / 0.12)}.seam-agent-card .seam-agent-title{color:#fff}.seam-agent-card .seam-agent-desc{color:var(--seam-gray-300)}.dark .seam-agent-card{background:var(--seam-gray-900)}.seam-agent-card .code-block{background:transparent;box-shadow:none;border:none;padding:0}.seam-agent-card .code-block [data-component-part=\"code-block-header\"]{display:none}.seam-agent-code{position:relative}.seam-agent-code::before{content:'';display:block;height:1px;width:88%;background:rgb(255 255 255 / 0.14);margin:0.25rem 0 1rem}.seam-quickstart-card{background:var(--seam-surface-2);box-shadow:var(--seam-stroke)}.seam-agent-title{font-size:1.25rem;font-weight:600;letter-spacing:-0.02em;color:var(--seam-txt-1);margin:0 0 0.5rem}.seam-agent-desc{font-size:0.8125rem;line-height:1.55;color:var(--seam-txt-2);margin:0 0 1rem}.seam-agent-code{width:100%;margin-top:auto}.seam-agent-code pre{margin:0;font-size:0.875rem}.seam-quickstart-cta{margin-top:auto;margin-left:auto}.seam-open-menu{position:absolute;right:0;bottom:0;z-index:10}.seam-open-btn{cursor:pointer;font-size:0.9375rem;font-weight:525;line-height:1.5;color:var(--seam-gray-950);background:#fff;border:none;border-radius:0.5rem;padding:0.625rem 1.125rem;box-shadow:0 2px 8px 0 rgb(9 10 11 / 0.35);transition:background 120ms,\n transform 120ms}.seam-open-btn:hover{background:var(--seam-gray-100);transform:translateY(-1px)}.seam-open-list{display:none;position:absolute;right:0;top:calc(100% + 0.375rem);z-index:30;min-width:11.5rem;flex-direction:column;padding:0.25rem;border-radius:0.5rem;background:var(--seam-gray-800);box-shadow:0 0 0 0.5px rgb(255 255 255 / 0.12) inset,\n 0 8px 24px 0 rgb(9 10 11 / 0.4)}.seam-open-menu.open .seam-open-list{display:flex}.seam-open-list a,.seam-open-list button{text-align:left;font-size:0.8125rem;font-weight:475;color:rgb(255 255 255 / 0.9)!important;text-decoration:none!important;background:none;border:none;cursor:pointer;padding:0.4375rem 0.625rem;border-radius:0.375rem;white-space:nowrap}.seam-open-list a:hover,.seam-open-list button:hover{background:rgb(255 255 255 / 0.1)}.seam-agent-code .code-block,.seam-hero-cell .code-block{margin:0}.seam-code-label{font-size:0.75rem;font-weight:600;letter-spacing:0.08em;text-transform:uppercase;color:var(--seam-txt-3);margin:0 0 0.625rem}.seam-section .card h2,.seam-section [class*=\"card\"] h2{font-size:0.9375rem}.seam-sdk-row{display:flex;flex-wrap:wrap;gap:0.625rem}.seam-sdk{display:inline-flex;align-items:center;gap:0.5rem;padding:0.5rem 0.875rem;border-radius:0.5rem;font-size:0.875rem;font-weight:525;color:var(--seam-txt-1)!important;text-decoration:none!important;background:var(--seam-card);box-shadow:var(--seam-stroke);transition:background 120ms}.seam-sdk:hover{background:var(--seam-card-hover)}.seam-video-grid{display:grid;grid-template-columns:repeat(3, 1fr);gap:1.5rem}@media (max-width: 800px){.seam-video-grid{grid-template-columns:1fr}}.seam-video-frame{position:relative;aspect-ratio:16 / 9;border-radius:0.5rem;overflow:hidden;background:var(--seam-gray-950);box-shadow:var(--seam-stroke)}.seam-video-frame iframe{position:absolute;inset:0;width:100%;height:100%}.seam-video-title{font-weight:525;font-size:0.9375rem;color:var(--seam-txt-1);margin:0.75rem 0 0.125rem}.seam-video-desc{font-size:0.8125rem;color:var(--seam-txt-2);margin:0}.seam-split{display:grid;grid-template-columns:1fr 1.2fr;gap:3rem;align-items:center}@media (max-width: 800px){.seam-split{grid-template-columns:1fr}}.seam-logo-grid{display:grid;grid-template-columns:repeat(4, 1fr);gap:0.75rem}.seam-logo-grid a{display:flex;align-items:center;justify-content:center;height:64px;padding:0.75rem;border-radius:0.5rem;background:var(--seam-card);box-shadow:var(--seam-stroke);transition:background 120ms}.seam-logo-grid a:hover{background:var(--seam-card-hover)}.seam-logo-grid img{max-height:32px;max-width:100%;object-fit:contain;margin:0}.dark .seam-logo-grid a{background:var(--seam-gray-50)}.dark .seam-logo-grid a:hover{background:var(--seam-gray-100)}.seam-footer-strip{padding-top:2rem;padding-bottom:5rem}"}],"page":{"pagePath":"api/connect_webviews/create","slug":"/api/connect_webviews/create","pageMetadata":{"title":"Create a Connect Webview","description":"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /connect_webviews/create","href":"/api/connect_webviews/create","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Creates a new `,_jsx(_components.a,{href:`https://www.seam.co/docs/core-concepts/connect-webviews`,children:`Connect Webview`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`To enable a user to connect their devices or systems to Seam, they must sign in to their device or system account. To enable a user to sign in, you create a `,_jsx(_components.code,{children:`connect_webview`}),`. After creating the Connect Webview, you receive a URL that you can use to display the visual component of this Connect Webview for your user. You can open an iframe or new window to display the Connect Webview.`]}),`\n`,_jsxs(_components.p,{children:[`You should make a new `,_jsx(_components.code,{children:`connect_webview`}),` for each unique login request. Each `,_jsx(_components.code,{children:`connect_webview`}),` tracks the user that signed in with it. You receive an error if you reuse a Connect Webview for the same user twice or if you use the same Connect Webview for multiple users.`]}),`\n`,_jsxs(_components.p,{children:[`See also: `,_jsx(_components.a,{href:`https://www.seam.co/docs/core-concepts/connect-webviews/connect-webview-process`,children:`Connect Webview Process`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"title":"Create a Connect Webview","description":"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /connect_webviews/create","href":"/api/connect_webviews/create","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/seam/4d860677184e9142/pylon.js","/docs/_mintlify/custom/seam/18bfb52c609a48d7/custom.js"],"openApiReferenceData":{"operation":{"summary":"Create a Connect Webview","description":"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.","security":["830d49ee-2585-44bd-bebd-f79f68c122c0","4e0f287c-3535-4eeb-9c6a-1beaa40564ba","bc378e61-8d62-428b-84f1-d2672f6a57f9"],"requestBody":"21aef340-f259-4079-bb0a-fdfbfb906dcf","responses":{"200":"63bba723-ad75-42a9-ba74-45b8a4dc5fa5"},"x-mint":{"href":"/api/connect_webviews/create","metadata":{"description":"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details."},"content":"Creates a new [Connect Webview](https://www.seam.co/docs/core-concepts/connect-webviews).\n\nTo enable a user to connect their devices or systems to Seam, they must sign in to their device or system account. To enable a user to sign in, you create a `connect_webview`. After creating the Connect Webview, you receive a URL that you can use to display the visual component of this Connect Webview for your user. You can open an iframe or new window to display the Connect Webview.\n\nYou should make a new `connect_webview` for each unique login request. Each `connect_webview` tracks the user that signed in with it. You receive an error if you reuse a Connect Webview for the same user twice or if you use the same Connect Webview for multiple users.\n\nSee also: [Connect Webview Process](https://www.seam.co/docs/core-concepts/connect-webviews/connect-webview-process)."},"x-codeSamples":[{"lang":"javascript","label":"Seam SDK","source":"await seam.connectWebviews.create({\n custom_redirect_url: \"https://example.com/redirect\",\n custom_redirect_failure_url: \"https://example.com/failure-redirect\",\n customer_id: \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category: \"stable\",\n custom_metadata: { id: \"internalId1\" },\n automatically_manage_new_devices: true,\n wait_for_device_creation: true,\n accepted_capabilities: [\"lock\", \"thermostat\"],\n});\n\n/*\n{\n \"accepted_capabilities\": [\n \"lock\",\n \"thermostat\"\n ],\n \"accepted_devices\": [],\n \"accepted_providers\": [\n \"schlage\",\n \"kwikset\",\n \"yale\",\n \"smartthings\",\n \"august\",\n \"avigilon_alta\",\n \"brivo\",\n \"nuki\",\n \"salto_ks\",\n \"salto_space\",\n \"controlbyweb\",\n \"minut\",\n \"my_2n\",\n \"ttlock\",\n \"noiseaware\",\n \"igloohome\",\n \"ecobee\",\n \"four_suites\",\n \"lockly\",\n \"wyze\",\n \"google_nest\",\n \"tede\",\n \"seam_bridge\",\n \"honeywell_resideo\",\n \"visionline\",\n \"assa_abloy_credential_service\",\n \"latch\",\n \"akiles\",\n \"sensi\",\n \"assa_abloy_vostio\"\n ],\n \"any_device_allowed\": true,\n \"any_provider_allowed\": false,\n \"authorized_at\": null,\n \"automatically_manage_new_devices\": true,\n \"connect_webview_id\": \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n \"connected_account_id\": null,\n \"created_at\": \"2025-06-14T16:54:17.946323Z\",\n \"custom_metadata\": {\n \"id\": \"internalId1\"\n },\n \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n \"custom_redirect_url\": \"https://example.com/redirect\",\n \"device_selection_mode\": \"none\",\n \"login_successful\": false,\n \"selected_provider\": null,\n \"status\": \"pending\",\n \"url\": \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n \"wait_for_device_creation\": true,\n \"workspace_id\": \"9db95105-e77d-4577-b1b7-0a20b360d5e0\"\n}\n*/"},{"lang":"bash","label":"cURL","source":"curl --include --request POST \"https://connect.getseam.com/connect_webviews/create\" \\\n --header \"Authorization: Bearer $SEAM_API_KEY\" \\\n --json @- \u003c\u003cEOF\n{\n \"custom_redirect_url\": \"https://example.com/redirect\",\n \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n \"customer_id\": \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n \"provider_category\": \"stable\",\n \"custom_metadata\": {\n \"id\": \"internalId1\"\n },\n \"automatically_manage_new_devices\": true,\n \"wait_for_device_creation\": true,\n \"accepted_capabilities\": [\n \"lock\",\n \"thermostat\"\n ]\n}\nEOF\n\n# Response:\n# {\n# \"connect_webview\": {\n# \"accepted_capabilities\": [\n# \"lock\",\n# \"thermostat\"\n# ],\n# \"accepted_devices\": [],\n# \"accepted_providers\": [\n# \"schlage\",\n# \"kwikset\",\n# \"yale\",\n# \"smartthings\",\n# \"august\",\n# \"avigilon_alta\",\n# \"brivo\",\n# \"nuki\",\n# \"salto_ks\",\n# \"salto_space\",\n# \"controlbyweb\",\n# \"minut\",\n# \"my_2n\",\n# \"ttlock\",\n# \"noiseaware\",\n# \"igloohome\",\n# \"ecobee\",\n# \"four_suites\",\n# \"lockly\",\n# \"wyze\",\n# \"google_nest\",\n# \"tede\",\n# \"seam_bridge\",\n# \"honeywell_resideo\",\n# \"visionline\",\n# \"assa_abloy_credential_service\",\n# \"latch\",\n# \"akiles\",\n# \"sensi\",\n# \"assa_abloy_vostio\"\n# ],\n# \"any_device_allowed\": true,\n# \"any_provider_allowed\": false,\n# \"authorized_at\": null,\n# \"automatically_manage_new_devices\": true,\n# \"connect_webview_id\": \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n# \"connected_account_id\": null,\n# \"created_at\": \"2025-06-14T16:54:17.946323Z\",\n# \"custom_metadata\": {\n# \"id\": \"internalId1\"\n# },\n# \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n# \"custom_redirect_url\": \"https://example.com/redirect\",\n# \"device_selection_mode\": \"none\",\n# \"login_successful\": false,\n# \"selected_provider\": null,\n# \"status\": \"pending\",\n# \"url\": \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n# \"wait_for_device_creation\": true,\n# \"workspace_id\": \"9db95105-e77d-4577-b1b7-0a20b360d5e0\"\n# }\n# }"},{"lang":"python","label":"Seam SDK","source":"seam.connect_webviews.create(\n custom_redirect_url=\"https://example.com/redirect\",\n custom_redirect_failure_url=\"https://example.com/failure-redirect\",\n customer_id=\"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category=\"stable\",\n custom_metadata={\"id\": \"internalId1\"},\n automatically_manage_new_devices=true,\n wait_for_device_creation=true,\n accepted_capabilities=[\"lock\", \"thermostat\"],\n)\n\n# ConnectWebview(\n accepted_capabilities=[\"lock\", \"thermostat\"],\n accepted_devices=[],\n accepted_providers=[\n \"schlage\",\n \"kwikset\",\n \"yale\",\n \"smartthings\",\n \"august\",\n \"avigilon_alta\",\n \"brivo\",\n \"nuki\",\n \"salto_ks\",\n \"salto_space\",\n \"controlbyweb\",\n \"minut\",\n \"my_2n\",\n \"ttlock\",\n \"noiseaware\",\n \"igloohome\",\n \"ecobee\",\n \"four_suites\",\n \"lockly\",\n \"wyze\",\n \"google_nest\",\n \"tede\",\n \"seam_bridge\",\n \"honeywell_resideo\",\n \"visionline\",\n \"assa_abloy_credential_service\",\n \"latch\",\n \"akiles\",\n \"sensi\",\n \"assa_abloy_vostio\",\n ],\n any_device_allowed=true,\n any_provider_allowed=false,\n authorized_at=None,\n automatically_manage_new_devices=true,\n connect_webview_id=\"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n connected_account_id=None,\n created_at=\"2025-06-14T16:54:17.946323Z\",\n custom_metadata={\"id\": \"internalId1\"},\n custom_redirect_failure_url=\"https://example.com/failure-redirect\",\n custom_redirect_url=\"https://example.com/redirect\",\n device_selection_mode=\"none\",\n login_successful=false,\n selected_provider=None,\n status=\"pending\",\n url=\"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n wait_for_device_creation=true,\n workspace_id=\"9db95105-e77d-4577-b1b7-0a20b360d5e0\",\n)"},{"lang":"ruby","label":"Seam SDK","source":"seam.connect_webviews.create(\n custom_redirect_url: \"https://example.com/redirect\",\n custom_redirect_failure_url: \"https://example.com/failure-redirect\",\n customer_id: \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category: \"stable\",\n custom_metadata: {\n id: \"internalId1\",\n },\n automatically_manage_new_devices: true,\n wait_for_device_creation: true,\n accepted_capabilities: %w[lock thermostat],\n)\n\n# => {\n \"accepted_capabilities\" => %w[lock thermostat],\n \"accepted_devices\" => [],\n \"accepted_providers\" => %w[\n schlage\n kwikset\n yale\n smartthings\n august\n avigilon_alta\n brivo\n nuki\n salto_ks\n salto_space\n controlbyweb\n minut\n my_2n\n ttlock\n noiseaware\n igloohome\n ecobee\n four_suites\n lockly\n wyze\n google_nest\n tede\n seam_bridge\n honeywell_resideo\n visionline\n assa_abloy_credential_service\n latch\n akiles\n sensi\n assa_abloy_vostio\n ],\n \"any_device_allowed\" => true,\n \"any_provider_allowed\" => false,\n \"authorized_at\" => nil,\n \"automatically_manage_new_devices\" => true,\n \"connect_webview_id\" => \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n \"connected_account_id\" => nil,\n \"created_at\" => \"2025-06-14T16:54:17.946323Z\",\n \"custom_metadata\" => {\n id: \"internalId1\",\n },\n \"custom_redirect_failure_url\" => \"https://example.com/failure-redirect\",\n \"custom_redirect_url\" => \"https://example.com/redirect\",\n \"device_selection_mode\" => \"none\",\n \"login_successful\" => false,\n \"selected_provider\" => nil,\n \"status\" => \"pending\",\n \"url\" =>\n \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n \"wait_for_device_creation\" => true,\n \"workspace_id\" => \"9db95105-e77d-4577-b1b7-0a20b360d5e0\",\n}"},{"lang":"php","label":"Seam SDK","source":"$seam->connect_webviews->create(\n custom_redirect_url: \"https://example.com/redirect\",\n custom_redirect_failure_url: \"https://example.com/failure-redirect\",\n customer_id: \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category: \"stable\",\n custom_metadata: [\"id\" => \"internalId1\"],\n automatically_manage_new_devices: true,\n wait_for_device_creation: true,\n accepted_capabilities: [\"lock\", \"thermostat\"],\n);\n\n// [\n \"accepted_capabilities\" => [\"lock\", \"thermostat\"],\n \"accepted_devices\" => [],\n \"accepted_providers\" => [\n \"schlage\",\n \"kwikset\",\n \"yale\",\n \"smartthings\",\n \"august\",\n \"avigilon_alta\",\n \"brivo\",\n \"nuki\",\n \"salto_ks\",\n \"salto_space\",\n \"controlbyweb\",\n \"minut\",\n \"my_2n\",\n \"ttlock\",\n \"noiseaware\",\n \"igloohome\",\n \"ecobee\",\n \"four_suites\",\n \"lockly\",\n \"wyze\",\n \"google_nest\",\n \"tede\",\n \"seam_bridge\",\n \"honeywell_resideo\",\n \"visionline\",\n \"assa_abloy_credential_service\",\n \"latch\",\n \"akiles\",\n \"sensi\",\n \"assa_abloy_vostio\",\n ],\n \"any_device_allowed\" => true,\n \"any_provider_allowed\" => false,\n \"authorized_at\" => null,\n \"automatically_manage_new_devices\" => true,\n \"connect_webview_id\" => \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n \"connected_account_id\" => null,\n \"created_at\" => \"2025-06-14T16:54:17.946323Z\",\n \"custom_metadata\" => [\"id\" => \"internalId1\"],\n \"custom_redirect_failure_url\" => \"https://example.com/failure-redirect\",\n \"custom_redirect_url\" => \"https://example.com/redirect\",\n \"device_selection_mode\" => \"none\",\n \"login_successful\" => false,\n \"selected_provider\" => null,\n \"status\" => \"pending\",\n \"url\" =>\n \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n \"wait_for_device_creation\" => true,\n \"workspace_id\" => \"9db95105-e77d-4577-b1b7-0a20b360d5e0\",\n];"},{"lang":"bash","label":"Seam CLI","source":"seam connect-webviews create --custom_redirect_url \"https://example.com/redirect\" --custom_redirect_failure_url \"https://example.com/failure-redirect\" --customer_id \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\" --provider_category \"stable\" --custom_metadata {\"id\":\"internalId1\"} --automatically_manage_new_devices true --wait_for_device_creation true --accepted_capabilities [\"lock\",\"thermostat\"]\n\n# {\n# \"accepted_capabilities\": [\n# \"lock\",\n# \"thermostat\"\n# ],\n# \"accepted_devices\": [],\n# \"accepted_providers\": [\n# \"schlage\",\n# \"kwikset\",\n# \"yale\",\n# \"smartthings\",\n# \"august\",\n# \"avigilon_alta\",\n# \"brivo\",\n# \"nuki\",\n# \"salto_ks\",\n# \"salto_space\",\n# \"controlbyweb\",\n# \"minut\",\n# \"my_2n\",\n# \"ttlock\",\n# \"noiseaware\",\n# \"igloohome\",\n# \"ecobee\",\n# \"four_suites\",\n# \"lockly\",\n# \"wyze\",\n# \"google_nest\",\n# \"tede\",\n# \"seam_bridge\",\n# \"honeywell_resideo\",\n# \"visionline\",\n# \"assa_abloy_credential_service\",\n# \"latch\",\n# \"akiles\",\n# \"sensi\",\n# \"assa_abloy_vostio\"\n# ],\n# \"any_device_allowed\": true,\n# \"any_provider_allowed\": false,\n# \"authorized_at\": null,\n# \"automatically_manage_new_devices\": true,\n# \"connect_webview_id\": \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n# \"connected_account_id\": null,\n# \"created_at\": \"2025-06-14T16:54:17.946323Z\",\n# \"custom_metadata\": {\n# \"id\": \"internalId1\"\n# },\n# \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n# \"custom_redirect_url\": \"https://example.com/redirect\",\n# \"device_selection_mode\": \"none\",\n# \"login_successful\": false,\n# \"selected_provider\": null,\n# \"status\": \"pending\",\n# \"url\": \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n# \"wait_for_device_creation\": true,\n# \"workspace_id\": \"9db95105-e77d-4577-b1b7-0a20b360d5e0\"\n# }"}],"method":"post","type":"path","servers":["569c66e5-b6d5-4771-be4f-6ff73569fea8"],"path":"/connect_webviews/create","baseUrlOptions":["https://connect.getseam.com"],"title":"Create a Connect Webview","codeSamples":[{"label":"Seam SDK","lang":"javascript","source":"await seam.connectWebviews.create({\n custom_redirect_url: \"https://example.com/redirect\",\n custom_redirect_failure_url: \"https://example.com/failure-redirect\",\n customer_id: \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category: \"stable\",\n custom_metadata: { id: \"internalId1\" },\n automatically_manage_new_devices: true,\n wait_for_device_creation: true,\n accepted_capabilities: [\"lock\", \"thermostat\"],\n});\n\n/*\n{\n \"accepted_capabilities\": [\n \"lock\",\n \"thermostat\"\n ],\n \"accepted_devices\": [],\n \"accepted_providers\": [\n \"schlage\",\n \"kwikset\",\n \"yale\",\n \"smartthings\",\n \"august\",\n \"avigilon_alta\",\n \"brivo\",\n \"nuki\",\n \"salto_ks\",\n \"salto_space\",\n \"controlbyweb\",\n \"minut\",\n \"my_2n\",\n \"ttlock\",\n \"noiseaware\",\n \"igloohome\",\n \"ecobee\",\n \"four_suites\",\n \"lockly\",\n \"wyze\",\n \"google_nest\",\n \"tede\",\n \"seam_bridge\",\n \"honeywell_resideo\",\n \"visionline\",\n \"assa_abloy_credential_service\",\n \"latch\",\n \"akiles\",\n \"sensi\",\n \"assa_abloy_vostio\"\n ],\n \"any_device_allowed\": true,\n \"any_provider_allowed\": false,\n \"authorized_at\": null,\n \"automatically_manage_new_devices\": true,\n \"connect_webview_id\": \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n \"connected_account_id\": null,\n \"created_at\": \"2025-06-14T16:54:17.946323Z\",\n \"custom_metadata\": {\n \"id\": \"internalId1\"\n },\n \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n \"custom_redirect_url\": \"https://example.com/redirect\",\n \"device_selection_mode\": \"none\",\n \"login_successful\": false,\n \"selected_provider\": null,\n \"status\": \"pending\",\n \"url\": \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n \"wait_for_device_creation\": true,\n \"workspace_id\": \"9db95105-e77d-4577-b1b7-0a20b360d5e0\"\n}\n*/"},{"label":"cURL","lang":"bash","source":"curl --include --request POST \"https://connect.getseam.com/connect_webviews/create\" \\\n --header \"Authorization: Bearer $SEAM_API_KEY\" \\\n --json @- \u003c\u003cEOF\n{\n \"custom_redirect_url\": \"https://example.com/redirect\",\n \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n \"customer_id\": \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n \"provider_category\": \"stable\",\n \"custom_metadata\": {\n \"id\": \"internalId1\"\n },\n \"automatically_manage_new_devices\": true,\n \"wait_for_device_creation\": true,\n \"accepted_capabilities\": [\n \"lock\",\n \"thermostat\"\n ]\n}\nEOF\n\n# Response:\n# {\n# \"connect_webview\": {\n# \"accepted_capabilities\": [\n# \"lock\",\n# \"thermostat\"\n# ],\n# \"accepted_devices\": [],\n# \"accepted_providers\": [\n# \"schlage\",\n# \"kwikset\",\n# \"yale\",\n# \"smartthings\",\n# \"august\",\n# \"avigilon_alta\",\n# \"brivo\",\n# \"nuki\",\n# \"salto_ks\",\n# \"salto_space\",\n# \"controlbyweb\",\n# \"minut\",\n# \"my_2n\",\n# \"ttlock\",\n# \"noiseaware\",\n# \"igloohome\",\n# \"ecobee\",\n# \"four_suites\",\n# \"lockly\",\n# \"wyze\",\n# \"google_nest\",\n# \"tede\",\n# \"seam_bridge\",\n# \"honeywell_resideo\",\n# \"visionline\",\n# \"assa_abloy_credential_service\",\n# \"latch\",\n# \"akiles\",\n# \"sensi\",\n# \"assa_abloy_vostio\"\n# ],\n# \"any_device_allowed\": true,\n# \"any_provider_allowed\": false,\n# \"authorized_at\": null,\n# \"automatically_manage_new_devices\": true,\n# \"connect_webview_id\": \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n# \"connected_account_id\": null,\n# \"created_at\": \"2025-06-14T16:54:17.946323Z\",\n# \"custom_metadata\": {\n# \"id\": \"internalId1\"\n# },\n# \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n# \"custom_redirect_url\": \"https://example.com/redirect\",\n# \"device_selection_mode\": \"none\",\n# \"login_successful\": false,\n# \"selected_provider\": null,\n# \"status\": \"pending\",\n# \"url\": \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n# \"wait_for_device_creation\": true,\n# \"workspace_id\": \"9db95105-e77d-4577-b1b7-0a20b360d5e0\"\n# }\n# }"},{"label":"Seam SDK","lang":"python","source":"seam.connect_webviews.create(\n custom_redirect_url=\"https://example.com/redirect\",\n custom_redirect_failure_url=\"https://example.com/failure-redirect\",\n customer_id=\"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category=\"stable\",\n custom_metadata={\"id\": \"internalId1\"},\n automatically_manage_new_devices=true,\n wait_for_device_creation=true,\n accepted_capabilities=[\"lock\", \"thermostat\"],\n)\n\n# ConnectWebview(\n accepted_capabilities=[\"lock\", \"thermostat\"],\n accepted_devices=[],\n accepted_providers=[\n \"schlage\",\n \"kwikset\",\n \"yale\",\n \"smartthings\",\n \"august\",\n \"avigilon_alta\",\n \"brivo\",\n \"nuki\",\n \"salto_ks\",\n \"salto_space\",\n \"controlbyweb\",\n \"minut\",\n \"my_2n\",\n \"ttlock\",\n \"noiseaware\",\n \"igloohome\",\n \"ecobee\",\n \"four_suites\",\n \"lockly\",\n \"wyze\",\n \"google_nest\",\n \"tede\",\n \"seam_bridge\",\n \"honeywell_resideo\",\n \"visionline\",\n \"assa_abloy_credential_service\",\n \"latch\",\n \"akiles\",\n \"sensi\",\n \"assa_abloy_vostio\",\n ],\n any_device_allowed=true,\n any_provider_allowed=false,\n authorized_at=None,\n automatically_manage_new_devices=true,\n connect_webview_id=\"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n connected_account_id=None,\n created_at=\"2025-06-14T16:54:17.946323Z\",\n custom_metadata={\"id\": \"internalId1\"},\n custom_redirect_failure_url=\"https://example.com/failure-redirect\",\n custom_redirect_url=\"https://example.com/redirect\",\n device_selection_mode=\"none\",\n login_successful=false,\n selected_provider=None,\n status=\"pending\",\n url=\"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n wait_for_device_creation=true,\n workspace_id=\"9db95105-e77d-4577-b1b7-0a20b360d5e0\",\n)"},{"label":"Seam SDK","lang":"ruby","source":"seam.connect_webviews.create(\n custom_redirect_url: \"https://example.com/redirect\",\n custom_redirect_failure_url: \"https://example.com/failure-redirect\",\n customer_id: \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category: \"stable\",\n custom_metadata: {\n id: \"internalId1\",\n },\n automatically_manage_new_devices: true,\n wait_for_device_creation: true,\n accepted_capabilities: %w[lock thermostat],\n)\n\n# => {\n \"accepted_capabilities\" => %w[lock thermostat],\n \"accepted_devices\" => [],\n \"accepted_providers\" => %w[\n schlage\n kwikset\n yale\n smartthings\n august\n avigilon_alta\n brivo\n nuki\n salto_ks\n salto_space\n controlbyweb\n minut\n my_2n\n ttlock\n noiseaware\n igloohome\n ecobee\n four_suites\n lockly\n wyze\n google_nest\n tede\n seam_bridge\n honeywell_resideo\n visionline\n assa_abloy_credential_service\n latch\n akiles\n sensi\n assa_abloy_vostio\n ],\n \"any_device_allowed\" => true,\n \"any_provider_allowed\" => false,\n \"authorized_at\" => nil,\n \"automatically_manage_new_devices\" => true,\n \"connect_webview_id\" => \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n \"connected_account_id\" => nil,\n \"created_at\" => \"2025-06-14T16:54:17.946323Z\",\n \"custom_metadata\" => {\n id: \"internalId1\",\n },\n \"custom_redirect_failure_url\" => \"https://example.com/failure-redirect\",\n \"custom_redirect_url\" => \"https://example.com/redirect\",\n \"device_selection_mode\" => \"none\",\n \"login_successful\" => false,\n \"selected_provider\" => nil,\n \"status\" => \"pending\",\n \"url\" =>\n \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n \"wait_for_device_creation\" => true,\n \"workspace_id\" => \"9db95105-e77d-4577-b1b7-0a20b360d5e0\",\n}"},{"label":"Seam SDK","lang":"php","source":"$seam->connect_webviews->create(\n custom_redirect_url: \"https://example.com/redirect\",\n custom_redirect_failure_url: \"https://example.com/failure-redirect\",\n customer_id: \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\",\n provider_category: \"stable\",\n custom_metadata: [\"id\" => \"internalId1\"],\n automatically_manage_new_devices: true,\n wait_for_device_creation: true,\n accepted_capabilities: [\"lock\", \"thermostat\"],\n);\n\n// [\n \"accepted_capabilities\" => [\"lock\", \"thermostat\"],\n \"accepted_devices\" => [],\n \"accepted_providers\" => [\n \"schlage\",\n \"kwikset\",\n \"yale\",\n \"smartthings\",\n \"august\",\n \"avigilon_alta\",\n \"brivo\",\n \"nuki\",\n \"salto_ks\",\n \"salto_space\",\n \"controlbyweb\",\n \"minut\",\n \"my_2n\",\n \"ttlock\",\n \"noiseaware\",\n \"igloohome\",\n \"ecobee\",\n \"four_suites\",\n \"lockly\",\n \"wyze\",\n \"google_nest\",\n \"tede\",\n \"seam_bridge\",\n \"honeywell_resideo\",\n \"visionline\",\n \"assa_abloy_credential_service\",\n \"latch\",\n \"akiles\",\n \"sensi\",\n \"assa_abloy_vostio\",\n ],\n \"any_device_allowed\" => true,\n \"any_provider_allowed\" => false,\n \"authorized_at\" => null,\n \"automatically_manage_new_devices\" => true,\n \"connect_webview_id\" => \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n \"connected_account_id\" => null,\n \"created_at\" => \"2025-06-14T16:54:17.946323Z\",\n \"custom_metadata\" => [\"id\" => \"internalId1\"],\n \"custom_redirect_failure_url\" => \"https://example.com/failure-redirect\",\n \"custom_redirect_url\" => \"https://example.com/redirect\",\n \"device_selection_mode\" => \"none\",\n \"login_successful\" => false,\n \"selected_provider\" => null,\n \"status\" => \"pending\",\n \"url\" =>\n \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n \"wait_for_device_creation\" => true,\n \"workspace_id\" => \"9db95105-e77d-4577-b1b7-0a20b360d5e0\",\n];"},{"label":"Seam CLI","lang":"bash","source":"seam connect-webviews create --custom_redirect_url \"https://example.com/redirect\" --custom_redirect_failure_url \"https://example.com/failure-redirect\" --customer_id \"8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0\" --provider_category \"stable\" --custom_metadata {\"id\":\"internalId1\"} --automatically_manage_new_devices true --wait_for_device_creation true --accepted_capabilities [\"lock\",\"thermostat\"]\n\n# {\n# \"accepted_capabilities\": [\n# \"lock\",\n# \"thermostat\"\n# ],\n# \"accepted_devices\": [],\n# \"accepted_providers\": [\n# \"schlage\",\n# \"kwikset\",\n# \"yale\",\n# \"smartthings\",\n# \"august\",\n# \"avigilon_alta\",\n# \"brivo\",\n# \"nuki\",\n# \"salto_ks\",\n# \"salto_space\",\n# \"controlbyweb\",\n# \"minut\",\n# \"my_2n\",\n# \"ttlock\",\n# \"noiseaware\",\n# \"igloohome\",\n# \"ecobee\",\n# \"four_suites\",\n# \"lockly\",\n# \"wyze\",\n# \"google_nest\",\n# \"tede\",\n# \"seam_bridge\",\n# \"honeywell_resideo\",\n# \"visionline\",\n# \"assa_abloy_credential_service\",\n# \"latch\",\n# \"akiles\",\n# \"sensi\",\n# \"assa_abloy_vostio\"\n# ],\n# \"any_device_allowed\": true,\n# \"any_provider_allowed\": false,\n# \"authorized_at\": null,\n# \"automatically_manage_new_devices\": true,\n# \"connect_webview_id\": \"c4c30885-ec87-4b31-8d7b-9bc0678fa028\",\n# \"connected_account_id\": null,\n# \"created_at\": \"2025-06-14T16:54:17.946323Z\",\n# \"custom_metadata\": {\n# \"id\": \"internalId1\"\n# },\n# \"custom_redirect_failure_url\": \"https://example.com/failure-redirect\",\n# \"custom_redirect_url\": \"https://example.com/redirect\",\n# \"device_selection_mode\": \"none\",\n# \"login_successful\": false,\n# \"selected_provider\": null,\n# \"status\": \"pending\",\n# \"url\": \"https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028\u0026auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d\",\n# \"wait_for_device_creation\": true,\n# \"workspace_id\": \"9db95105-e77d-4577-b1b7-0a20b360d5e0\"\n# }"}],"requiredOnlyExamples":false,"disableCodeSampleGeneration":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"accepted_capabilities":{"type":"array","items":{"type":"string","enum":["lock","thermostat","noise_sensor","access_control","camera","speaker","pool"],"uniqueKey":"accepted_capabilities.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"List of accepted device capabilities that restrict the types of devices that can be connected through the Connect Webview. If not provided, defaults will be determined based on the accepted providers.","uniqueKey":"accepted_capabilities","typeLabel":"enum\u003cstring>[]"},"accepted_providers":{"type":"array","items":{"type":"string","enum":["hotek","dormakaba_community","legic_connect","akuvox","august","avigilon_alta","brivo","butterflymx","schlage","smartthings","yale","yale_access","yale_home","genie","doorking","salto","salto_ks","salto_ks_accept","lockly","ttlock","linear","noiseaware","nuki","igloo","kwikset","minut","my_2n","controlbyweb","nest","igloohome","ecobee","four_suites","dormakaba_oracode","dormakaba_oracode_iho","pti","wyze","seam_passport","visionline","assa_abloy_credential_service","tedee","honeywell_resideo","first_alert","latch","akiles","assa_abloy_vostio","assa_abloy_vostio_credential_service","tado","salto_space","sensi","sensibo","keynest","korelock","keyincode","dormakaba_ambiance","ultraloq","yacan","dusaw","sifely","thirty_three_lock","ring","tapo","arlo","reolink","unifi_protect","yale_connect","alertify","ical","lodgify","hostaway","guesty","acuity_scheduling","omnitec","kisi","aqara","eufy","sonos","hayward_omnilogic","tuya","hid_cm","google_nest","slack"],"uniqueKey":"accepted_providers.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"Accepted device provider keys as an alternative to `provider_category`. Use this parameter to specify accepted providers explicitly. See [Customize the Brands to Display in Your Connect Webviews](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews). To list all provider keys, use [`/devices/list_device_providers`](https://www.seam.co/docs/api/devices/list_device_providers) with no filters.","uniqueKey":"accepted_providers","typeLabel":"enum\u003cstring>[]"},"automatically_manage_new_devices":{"type":"boolean","description":"Indicates whether newly-added devices should appear as [managed devices](https://www.seam.co/docs/core-concepts/devices/managed-and-unmanaged-devices). See also: [Customize the Behavior Settings of Your Connect Webviews](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-behavior-settings-of-your-connect-webviews).","uniqueKey":"automatically_manage_new_devices","typeLabel":"boolean"},"custom_metadata":{"type":"object","additionalProperties":true,"description":"Custom metadata that you want to associate with the Connect Webview. Supports up to 50 JSON key:value pairs, with key names up to 40 characters long that cannot contain a period (.). [Adding custom metadata to a Connect Webview](https://www.seam.co/docs/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview) enables you to store custom information, like customer details or internal IDs from your application. The custom metadata is then transferred to any [connected accounts](https://www.seam.co/docs/core-concepts/connected-accounts) that were connected using the Connect Webview, making it easy to find and filter these resources in your [workspace](https://www.seam.co/docs/core-concepts/workspaces). You can also [filter Connect Webviews by custom metadata](https://www.seam.co/docs/core-concepts/connect-webviews/filtering-connect-webviews-by-custom-metadata). Set a key to `null` or to an empty string to remove that key from the custom metadata.","uniqueKey":"custom_metadata","typeLabel":"object"},"custom_redirect_failure_url":{"type":"string","description":"Alternative URL that you want to redirect the user to on an error. If you do not set this parameter, the Connect Webview falls back to the `custom_redirect_url`.","uniqueKey":"custom_redirect_failure_url","typeLabel":"string"},"custom_redirect_url":{"type":"string","description":"URL that you want to redirect the user to after the provider login is complete.","uniqueKey":"custom_redirect_url","typeLabel":"string"},"customer_key":{"type":"string","description":"Associate the Connect Webview, the connected account, and all resources under the connected account with a customer. If the connected account already exists, it will be associated with the customer. If the connected account already exists, but is already associated with a customer, the Connect Webview will show an error.","uniqueKey":"customer_key","typeLabel":"string"},"excluded_providers":{"type":"array","items":{"type":"string","uniqueKey":"excluded_providers.items.[INDEX]","typeLabel":"string"},"description":"List of provider keys to exclude from the Connect Webview. These providers will not be shown when the user tries to connect an account.","uniqueKey":"excluded_providers","typeLabel":"string[]"},"provider_category":{"type":"string","enum":["stable","consumer_smartlocks","beta","thermostats","noise_sensors","access_control_systems","cameras","connectors","internal_beta"],"description":"Specifies the category of providers that you want to include. To list all providers within a category, use [`/devices/list_device_providers`](https://www.seam.co/docs/api/devices/list_device_providers) with the desired `provider_category` filter.","uniqueKey":"provider_category","typeLabel":"enum\u003cstring>"},"wait_for_device_creation":{"type":"boolean","description":"Indicates whether Seam should finish syncing all devices in a newly-connected account before completing the associated Connect Webview. See also: [Customize the Behavior Settings of Your Connect Webviews](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-behavior-settings-of-your-connect-webviews).","default":false,"uniqueKey":"wait_for_device_creation","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"accepted_capabilities":[],"accepted_providers":[],"automatically_manage_new_devices":true,"custom_metadata":{},"custom_redirect_failure_url":"\u003cstring>","custom_redirect_url":"\u003cstring>","customer_key":"\u003cstring>","excluded_providers":["\u003cstring>"],"wait_for_device_creation":false}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"63bba723-ad75-42a9-ba74-45b8a4dc5fa5":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"connect_webview":{"type":"object","properties":{"accepted_capabilities":{"type":"array","items":{"type":"string","enum":["lock","thermostat","noise_sensor","access_control","camera","speaker","pool"],"uniqueKey":"connect_webview.accepted_capabilities.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"High-level device capabilities that the Connect Webview can accept. When creating a Connect Webview, you can specify the types of devices that it can connect to Seam. If you do not set custom `accepted_capabilities`, Seam uses a default set of `accepted_capabilities` for each provider. For example, if you create a Connect Webview that accepts SmartThing devices, without specifying `accepted_capabilities`, Seam accepts only SmartThings locks. To connect SmartThings thermostats and locks to Seam, create a Connect Webview and include both `thermostat` and `lock` in the `accepted_capabilities`.","isRequired":true,"uniqueKey":"connect_webview.accepted_capabilities","typeLabel":"enum\u003cstring>[]"},"accepted_providers":{"type":"array","items":{"type":"string","uniqueKey":"connect_webview.accepted_providers.items.[INDEX]","typeLabel":"string"},"description":"List of accepted [provider keys](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).","isRequired":true,"uniqueKey":"connect_webview.accepted_providers","typeLabel":"string[]"},"any_provider_allowed":{"type":"boolean","description":"Indicates whether any provider is allowed.","isRequired":true,"uniqueKey":"connect_webview.any_provider_allowed","typeLabel":"boolean"},"authorized_at":{"oneOf":[{"type":"string","format":"date-time","description":"Date and time at which the user authorized (through the Connect Webview) the management of their devices.","isRequired":true,"uniqueKey":"connect_webview.authorized_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Date and time at which the user authorized (through the Connect Webview) the management of their devices.","isRequired":true,"uniqueKey":"connect_webview.authorized_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"connect_webview.authorized_at","typeLabel":"string\u003cdate-time> | null"},"automatically_manage_new_devices":{"type":"boolean","description":"Indicates whether Seam should [import all new devices](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#automatically_manage_new_devices) for the connected account to make these devices available for use and management by the Seam API.","isRequired":true,"uniqueKey":"connect_webview.automatically_manage_new_devices","typeLabel":"boolean"},"connect_webview_id":{"type":"string","format":"uuid","description":"ID of the Connect Webview.","isRequired":true,"uniqueKey":"connect_webview.connect_webview_id","typeLabel":"string\u003cuuid>"},"connected_account_id":{"oneOf":[{"type":"string","format":"uuid","description":"ID of the connected account associated with the Connect Webview.","isRequired":true,"uniqueKey":"connect_webview.connected_account_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"ID of the connected account associated with the Connect Webview.","isRequired":true,"uniqueKey":"connect_webview.connected_account_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"connect_webview.connected_account_id","typeLabel":"string\u003cuuid> | null"},"created_at":{"type":"string","format":"date-time","description":"Date and time at which the Connect Webview was created.","isRequired":true,"uniqueKey":"connect_webview.created_at","typeLabel":"string\u003cdate-time>"},"custom_metadata":{"type":"object","additionalProperties":true,"description":"Set of key:value pairs. Adding custom metadata to a resource, such as a [Connect Webview](https://www.seam.co/docs/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview), [connected account](https://www.seam.co/docs/core-concepts/connected-accounts/adding-custom-metadata-to-a-connected-account), or [device](https://www.seam.co/docs/core-concepts/devices/adding-custom-metadata-to-a-device), enables you to store custom information, like customer details or internal IDs from your application. Keys set to `null` or to an empty string are omitted.","isRequired":true,"uniqueKey":"connect_webview.custom_metadata","typeLabel":"object"},"custom_redirect_failure_url":{"oneOf":[{"type":"string","description":"URL to which the Connect Webview should redirect when an unexpected error occurs.","isRequired":true,"uniqueKey":"connect_webview.custom_redirect_failure_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL to which the Connect Webview should redirect when an unexpected error occurs.","isRequired":true,"uniqueKey":"connect_webview.custom_redirect_failure_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"connect_webview.custom_redirect_failure_url","typeLabel":"string | null"},"custom_redirect_url":{"oneOf":[{"type":"string","description":"URL to which the Connect Webview should redirect when the user successfully pairs a device or system. If you do not set the `custom_redirect_failure_url`, the Connect Webview redirects to the `custom_redirect_url` when an unexpected error occurs.","isRequired":true,"uniqueKey":"connect_webview.custom_redirect_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL to which the Connect Webview should redirect when the user successfully pairs a device or system. If you do not set the `custom_redirect_failure_url`, the Connect Webview redirects to the `custom_redirect_url` when an unexpected error occurs.","isRequired":true,"uniqueKey":"connect_webview.custom_redirect_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"connect_webview.custom_redirect_url","typeLabel":"string | null"},"device_selection_mode":{"type":"string","enum":["none","single","multiple"],"description":"Device selection mode of the Connect Webview. Supported values: `none`, `single`, `multiple`.","isRequired":true,"uniqueKey":"connect_webview.device_selection_mode","typeLabel":"enum\u003cstring>"},"login_successful":{"type":"boolean","description":"Indicates whether the user logged in successfully using the Connect Webview.","isRequired":true,"uniqueKey":"connect_webview.login_successful","typeLabel":"boolean"},"selected_provider":{"oneOf":[{"type":"string","description":"Selected provider of the Connect Webview, one of the [provider keys](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).","isRequired":true,"uniqueKey":"connect_webview.selected_provider.oneOf.0","typeLabel":"string"},{"type":"null","description":"Selected provider of the Connect Webview, one of the [provider keys](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).","isRequired":true,"uniqueKey":"connect_webview.selected_provider.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"connect_webview.selected_provider","typeLabel":"string | null"},"status":{"type":"string","enum":["pending","failed","authorized"],"description":"Status of the Connect Webview. `authorized` indicates that the user has successfully logged into their device or system account, thereby completing the Connect Webview.","isRequired":true,"uniqueKey":"connect_webview.status","typeLabel":"enum\u003cstring>"},"url":{"type":"string","description":"URL for the Connect Webview. You use the URL to display the Connect Webview flow to your user.","isRequired":true,"uniqueKey":"connect_webview.url","typeLabel":"string"},"wait_for_device_creation":{"type":"boolean","description":"Indicates whether Seam should [finish syncing all devices](https://www.seam.co/docs/core-concepts/connect-webviews/customizing-connect-webviews#wait_for_device_creation) in a newly-connected account before completing the associated Connect Webview.","isRequired":true,"uniqueKey":"connect_webview.wait_for_device_creation","typeLabel":"boolean"},"workspace_id":{"type":"string","format":"uuid","description":"ID of the workspace that contains the Connect Webview.","isRequired":true,"uniqueKey":"connect_webview.workspace_id","typeLabel":"string\u003cuuid>"},"customer_key":{"type":"string","description":"The customer key associated with this webview, if any.","uniqueKey":"connect_webview.customer_key","typeLabel":"string"}},"required":["accepted_capabilities","accepted_providers","any_provider_allowed","authorized_at","automatically_manage_new_devices","connect_webview_id","connected_account_id","created_at","custom_metadata","custom_redirect_failure_url","custom_redirect_url","device_selection_mode","login_successful","selected_provider","status","url","wait_for_device_creation","workspace_id"],"description":"Represents a [Connect Webview](https://www.seam.co/docs/core-concepts/connect-webviews). See the [connect_webview object](https://www.seam.co/docs/api/connect_webviews/object).","isRequired":true,"uniqueKey":"connect_webview","typeLabel":"object"}},"required":["connect_webview"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"connect_webview":{"accepted_capabilities":["lock"],"accepted_providers":["\u003cstring>"],"any_provider_allowed":true,"authorized_at":"2023-11-07T05:31:56Z","automatically_manage_new_devices":true,"connect_webview_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","connected_account_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created_at":"2023-11-07T05:31:56Z","custom_metadata":{},"custom_redirect_failure_url":"\u003cstring>","custom_redirect_url":"\u003cstring>","device_selection_mode":"none","login_successful":true,"selected_provider":"\u003cstring>","status":"pending","url":"\u003cstring>","wait_for_device_creation":true,"workspace_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","customer_key":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"830d49ee-2585-44bd-bebd-f79f68c122c0":{"client_session_token":{"type":"http","scheme":"bearer","bearerFormat":"Client Session Token","scopes":[],"schemeName":"client_session_token"}},"4e0f287c-3535-4eeb-9c6a-1beaa40564ba":{"personal_access_token":{"type":"http","scheme":"bearer","bearerFormat":"Personal Access Token","scopes":[],"schemeName":"personal_access_token"}},"bc378e61-8d62-428b-84f1-d2672f6a57f9":{"api_key":{"type":"http","scheme":"bearer","bearerFormat":"API Key","scopes":[],"schemeName":"api_key"}}},"servers":{"569c66e5-b6d5-4771-be4f-6ff73569fea8":{"url":"https://connect.getseam.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"Client Session Token","scopes":[],"schemeName":"client_session_token"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"client_session_token","name":"Authorization"}],"title":"client_session_token"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"Personal Access Token","scopes":[],"schemeName":"personal_access_token"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"personal_access_token","name":"Authorization"}],"title":"personal_access_token"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API Key","scopes":[],"schemeName":"api_key"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"api_key","name":"Authorization"}],"title":"api_key"}]},"originalFileLocation":"openapi.json"},"subdomain":"seam","siteName":"Seam","title":"Create a Connect Webview - Seam","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-13T00:43:19.511Z","originalFileLocation":"api/connect_webviews/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Seam\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a Connect Webview - Seam\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Seam\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.seam.co/docs/api/connect_webviews/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://www.seam.co/docs/images/seam-og-default.jpg\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a Connect Webview - Seam\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://www.seam.co/docs/images/seam-og-default.jpg\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/seam/8CXnKXKCxYx4_wys/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Seam\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4C45D9\">\u003cmeta data-mint-head name=\"og:locale\" content=\"en_US\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.seam.co/docs/api/connect_webviews/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api/connect_webviews/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.seam.co/#organization\",\"name\":\"Seam\",\"url\":\"https://www.seam.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/seam/RVHI-5qT0fl5Zkft/images/seam-logo-light.svg?fit=max\u0026auto=format\u0026n=RVHI-5qT0fl5Zkft\u0026q=85\u0026s=4529d092246aab7709a6692a7cdccf39\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.seam.co/docs#website\",\"name\":\"Seam\",\"url\":\"https://www.seam.co/docs\",\"publisher\":{\"@id\":\"https://www.seam.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.seam.co/docs/api/connect_webviews/create#webpage\",\"url\":\"https://www.seam.co/docs/api/connect_webviews/create\",\"name\":\"Create a Connect Webview\",\"description\":\"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.\",\"dateModified\":\"2026-11-13T00:43:19.511Z\",\"isPartOf\":{\"@id\":\"https://www.seam.co/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.seam.co/docs/api/connect_webviews/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.seam.co/docs/api/connect_webviews/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Setup\",\"item\":\"https://www.seam.co/docs/api/connect_webviews/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Connect Webviews\",\"item\":\"https://www.seam.co/docs/api/connect_webviews/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create a Connect Webview\",\"item\":\"https://www.seam.co/docs/api/connect_webviews/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.seam.co/docs/api/connect_webviews/create#apireference\",\"headline\":\"Create a Connect Webview\",\"name\":\"Create a Connect Webview\",\"description\":\"Creates a new Connect Webview. Reference for POST /connect_webviews/create in the Seam API, with request and response details.\",\"url\":\"https://www.seam.co/docs/api/connect_webviews/create\",\"mainEntityOfPage\":{\"@id\":\"https://www.seam.co/docs/api/connect_webviews/create#webpage\"},\"image\":\"https://www.seam.co/docs/images/seam-og-default.jpg\",\"dateModified\":\"2026-11-13T00:43:19.511Z\",\"publisher\":{\"@id\":\"https://www.seam.co/#organization\"},\"isPartOf\":{\"@id\":\"https://www.seam.co/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Seam\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Seam\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api/connect_webviews/create.md","siteName":"Seam","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/api"},{"title":"SDK Installation","href":"/api/installation"},{"title":"MCP Installation","href":"/api/mcp-installation"},{"title":"Authentication","href":"/api/authentication"},{"title":"Pagination","href":"/api/pagination"},{"title":"Rate Limits and Guardrails","href":"/api/rate-limits-and-guardrails"},{"title":"End-of-Life APIs","href":"/api/end-of-life"}]},{"group":"Granting Access","pages":[{"group":"Access Grants","pages":[{"title":"The Access Grant Object","href":"/api/access_grants/object"},{"title":"Access Grant Events","href":"/api/access_grants/events"},{"title":"Access Grant Errors and Warnings","href":"/api/access_grants/errors"},{"title":"Get an Access Grant","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /access_grants/get","href":"/api/access_grants/get"},{"title":"List Access Grants","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /access_grants/list","href":"/api/access_grants/list"},{"title":"Create an Access Grant","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /access_grants/create","href":"/api/access_grants/create"},{"title":"Delete an Access Grant","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /access_grants/delete","href":"/api/access_grants/delete"},{"title":"Update an Access Grant","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /access_grants/update","href":"/api/access_grants/update"},{"title":"Get related Access Grant resources","deprecated":null,"version":null,"sidebarTitle":"Get related","openapi":"/openapi.json get /access_grants/get_related","href":"/api/access_grants/get_related"},{"title":"Add Requested Access Methods to Access Grant","deprecated":null,"version":null,"sidebarTitle":"Request access methods","openapi":"/openapi.json post /access_grants/request_access_methods","href":"/api/access_grants/request_access_methods"},{"group":"Unmanaged","pages":[{"title":"Unmanaged","href":"/api/access_grants/unmanaged/object"},{"title":"Unmanaged Errors and Warnings","href":"/api/access_grants/unmanaged/errors"},{"title":"Get an Unmanaged Access Grant","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /access_grants/unmanaged/get","href":"/api/access_grants/unmanaged/get"},{"title":"List Unmanaged Access Grants","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /access_grants/unmanaged/list","href":"/api/access_grants/unmanaged/list"},{"title":"Update an Unmanaged Access Grant","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /access_grants/unmanaged/update","href":"/api/access_grants/unmanaged/update"}]}]},{"group":"Access Methods","pages":[{"title":"The Access Method Object","href":"/api/access_methods/object"},{"title":"Access Method Events","href":"/api/access_methods/events"},{"title":"Access Method Errors and Warnings","href":"/api/access_methods/errors"},{"title":"Get an Access Method","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /access_methods/get","href":"/api/access_methods/get"},{"title":"List Access Methods","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /access_methods/list","href":"/api/access_methods/list"},{"title":"Delete an Access Method","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /access_methods/delete","href":"/api/access_methods/delete"},{"title":"Assign a Card Credential to an Access Method","deprecated":null,"version":null,"sidebarTitle":"Assign card","openapi":"/openapi.json post /access_methods/assign_card","href":"/api/access_methods/assign_card"},{"title":"Encode an Access Method","deprecated":null,"version":null,"sidebarTitle":"Encode","openapi":"/openapi.json post /access_methods/encode","href":"/api/access_methods/encode"},{"title":"Get related Access Method resources","deprecated":null,"version":null,"sidebarTitle":"Get related","openapi":"/openapi.json get /access_methods/get_related","href":"/api/access_methods/get_related"},{"title":"Unlock a Door with an Access Method","deprecated":null,"version":null,"sidebarTitle":"Unlock door","openapi":"/openapi.json post /access_methods/unlock_door","href":"/api/access_methods/unlock_door"},{"group":"Unmanaged","pages":[{"title":"Unmanaged","href":"/api/access_methods/unmanaged/object"},{"title":"Unmanaged Errors and Warnings","href":"/api/access_methods/unmanaged/errors"},{"title":"Get an Unmanaged Access Method","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /access_methods/unmanaged/get","href":"/api/access_methods/unmanaged/get"},{"title":"List Unmanaged Access Methods","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /access_methods/unmanaged/list","href":"/api/access_methods/unmanaged/list"}]}]}]},{"group":"Devices and Systems","pages":[{"group":"Devices","pages":[{"title":"The Device Object","href":"/api/devices/object"},{"title":"Common Device Properties","href":"/api/devices/properties"},{"title":"Device Examples","href":"/api/devices/examples"},{"title":"Device Events","href":"/api/devices/events"},{"title":"Device Errors and Warnings","href":"/api/devices/errors"},{"title":"Get a Device","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /devices/get","href":"/api/devices/get"},{"title":"List Devices","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /devices/list","href":"/api/devices/list"},{"title":"Update a Device","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /devices/update","href":"/api/devices/update"},{"title":"List Device Providers","deprecated":null,"version":null,"sidebarTitle":"List device providers","openapi":"/openapi.json get /devices/list_device_providers","href":"/api/devices/list_device_providers"},{"title":"Report Provider Metadata","deprecated":null,"version":null,"sidebarTitle":"Report provider metadata","openapi":"/openapi.json post /devices/report_provider_metadata","href":"/api/devices/report_provider_metadata"},{"group":"Simulations","pages":[{"title":"Device Simulations","href":"/api/devices/simulate/object"},{"title":"Simulate Device Connection","deprecated":null,"version":null,"sidebarTitle":"Connect","openapi":"/openapi.json post /devices/simulate/connect","href":"/api/devices/simulate/connect"},{"title":"Simulate Hub Connection","deprecated":null,"version":null,"sidebarTitle":"Connect to hub","openapi":"/openapi.json post /devices/simulate/connect_to_hub","href":"/api/devices/simulate/connect_to_hub"},{"title":"Simulate Device Disconnection","deprecated":null,"version":null,"sidebarTitle":"Disconnect","openapi":"/openapi.json post /devices/simulate/disconnect","href":"/api/devices/simulate/disconnect"},{"title":"Simulate Hub Disconnection","deprecated":null,"version":null,"sidebarTitle":"Disconnect from hub","openapi":"/openapi.json post /devices/simulate/disconnect_from_hub","href":"/api/devices/simulate/disconnect_from_hub"},{"title":"Simulate Paid Subscription","deprecated":null,"version":null,"sidebarTitle":"Paid subscription","openapi":"/openapi.json post /devices/simulate/paid_subscription","href":"/api/devices/simulate/paid_subscription"},{"title":"Simulate Device Removal","deprecated":null,"version":null,"sidebarTitle":"Remove","openapi":"/openapi.json post /devices/simulate/remove","href":"/api/devices/simulate/remove"}]},{"group":"Unmanaged Devices","pages":[{"title":"Unmanaged Devices","href":"/api/devices/unmanaged/object"},{"title":"Unmanaged Devices Events","href":"/api/devices/unmanaged/events"},{"title":"Unmanaged Devices Errors and Warnings","href":"/api/devices/unmanaged/errors"},{"title":"Get an Unmanaged Device","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /devices/unmanaged/get","href":"/api/devices/unmanaged/get"},{"title":"List Unmanaged Devices","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /devices/unmanaged/list","href":"/api/devices/unmanaged/list"},{"title":"Update an Unmanaged Device","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /devices/unmanaged/update","href":"/api/devices/unmanaged/update"}]}]},{"group":"Locks","pages":[{"title":"The Lock Object","href":"/api/locks/object"},{"title":"Lock Events","href":"/api/locks/events"},{"title":"Lock Errors and Warnings","href":"/api/locks/errors"},{"title":"Get a Lock","deprecated":true,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /locks/get","href":"/api/locks/get"},{"title":"List Locks","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /locks/list","href":"/api/locks/list"},{"title":"Configure Auto-Lock","deprecated":null,"version":null,"sidebarTitle":"Configure auto lock","openapi":"/openapi.json post /locks/configure_auto_lock","href":"/api/locks/configure_auto_lock"},{"title":"Lock a Lock","deprecated":null,"version":null,"sidebarTitle":"Lock door","openapi":"/openapi.json post /locks/lock_door","href":"/api/locks/lock_door"},{"title":"Unlock a Lock","deprecated":null,"version":null,"sidebarTitle":"Unlock door","openapi":"/openapi.json post /locks/unlock_door","href":"/api/locks/unlock_door"},{"group":"Simulations","pages":[{"title":"Lock Simulations","href":"/api/locks/simulate/object"},{"title":"Simulate a Keypad Code Entry","deprecated":null,"version":null,"sidebarTitle":"Keypad code entry","openapi":"/openapi.json post /locks/simulate/keypad_code_entry","href":"/api/locks/simulate/keypad_code_entry"},{"title":"Simulate a Manual Lock Action Using a Keypad","deprecated":null,"version":null,"sidebarTitle":"Manual lock via keypad","openapi":"/openapi.json post /locks/simulate/manual_lock_via_keypad","href":"/api/locks/simulate/manual_lock_via_keypad"}]}]},{"group":"Thermostats","pages":[{"title":"The Thermostat Object","href":"/api/thermostats/object"},{"title":"Thermostat Events","href":"/api/thermostats/events"},{"title":"Thermostat Errors and Warnings","href":"/api/thermostats/errors"},{"title":"List Thermostats","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /thermostats/list","href":"/api/thermostats/list"},{"title":"Activate a Climate Preset","deprecated":null,"version":null,"sidebarTitle":"Activate climate preset","openapi":"/openapi.json post /thermostats/activate_climate_preset","href":"/api/thermostats/activate_climate_preset"},{"title":"Activate the Weekly Program","deprecated":null,"version":null,"sidebarTitle":"Activate weekly program","openapi":"/openapi.json post /thermostats/activate_weekly_program","href":"/api/thermostats/activate_weekly_program"},{"title":"Set to Cool Mode","deprecated":null,"version":null,"sidebarTitle":"Cool","openapi":"/openapi.json post /thermostats/cool","href":"/api/thermostats/cool"},{"title":"Create a Climate Preset","deprecated":null,"version":null,"sidebarTitle":"Create climate preset","openapi":"/openapi.json post /thermostats/create_climate_preset","href":"/api/thermostats/create_climate_preset"},{"title":"Delete a Climate Preset","deprecated":null,"version":null,"sidebarTitle":"Delete climate preset","openapi":"/openapi.json delete /thermostats/delete_climate_preset","href":"/api/thermostats/delete_climate_preset"},{"title":"Set to Heat Mode","deprecated":null,"version":null,"sidebarTitle":"Heat","openapi":"/openapi.json post /thermostats/heat","href":"/api/thermostats/heat"},{"title":"Set to Heat-Cool (Auto) Mode","deprecated":null,"version":null,"sidebarTitle":"Heat cool","openapi":"/openapi.json post /thermostats/heat_cool","href":"/api/thermostats/heat_cool"},{"title":"Set to Off Mode","deprecated":null,"version":null,"sidebarTitle":"Off","openapi":"/openapi.json post /thermostats/off","href":"/api/thermostats/off"},{"title":"Set the Fallback Climate Preset","deprecated":null,"version":null,"sidebarTitle":"Set fallback climate preset","openapi":"/openapi.json post /thermostats/set_fallback_climate_preset","href":"/api/thermostats/set_fallback_climate_preset"},{"title":"Set the Fan Mode Setting","deprecated":null,"version":null,"sidebarTitle":"Set fan mode","openapi":"/openapi.json post /thermostats/set_fan_mode","href":"/api/thermostats/set_fan_mode"},{"title":"Set the HVAC Mode","deprecated":null,"version":null,"sidebarTitle":"Set hvac mode","openapi":"/openapi.json post /thermostats/set_hvac_mode","href":"/api/thermostats/set_hvac_mode"},{"title":"Set a Temperature Threshold","deprecated":null,"version":null,"sidebarTitle":"Set temperature threshold","openapi":"/openapi.json patch /thermostats/set_temperature_threshold","href":"/api/thermostats/set_temperature_threshold"},{"title":"Update a Climate Preset","deprecated":null,"version":null,"sidebarTitle":"Update climate preset","openapi":"/openapi.json patch /thermostats/update_climate_preset","href":"/api/thermostats/update_climate_preset"},{"title":"Update the Thermostat Weekly Program","deprecated":null,"version":null,"sidebarTitle":"Update weekly program","openapi":"/openapi.json post /thermostats/update_weekly_program","href":"/api/thermostats/update_weekly_program"},{"group":"Daily Programs","pages":[{"title":"Daily Programs","href":"/api/thermostats/daily_programs/object"},{"title":"Create a Thermostat Daily Program","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /thermostats/daily_programs/create","href":"/api/thermostats/daily_programs/create"},{"title":"Delete a Thermostat Daily Program","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /thermostats/daily_programs/delete","href":"/api/thermostats/daily_programs/delete"},{"title":"Update a Thermostat Daily Program","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /thermostats/daily_programs/update","href":"/api/thermostats/daily_programs/update"}]},{"group":"Schedules","pages":[{"title":"Thermostat Schedules","href":"/api/thermostats/schedules/object"},{"title":"Get a Thermostat Schedule","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /thermostats/schedules/get","href":"/api/thermostats/schedules/get"},{"title":"List Thermostat Schedules","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /thermostats/schedules/list","href":"/api/thermostats/schedules/list"},{"title":"Create a Thermostat Schedule","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /thermostats/schedules/create","href":"/api/thermostats/schedules/create"},{"title":"Delete a Thermostat Schedule","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /thermostats/schedules/delete","href":"/api/thermostats/schedules/delete"},{"title":"Update a Thermostat Schedule","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /thermostats/schedules/update","href":"/api/thermostats/schedules/update"}]},{"group":"Simulations","pages":[{"title":"Thermostat Simulations","href":"/api/thermostats/simulate/object"},{"title":"HVAC Mode Adjusted","deprecated":null,"version":null,"sidebarTitle":"Hvac mode adjusted","openapi":"/openapi.json post /thermostats/simulate/hvac_mode_adjusted","href":"/api/thermostats/simulate/hvac_mode_adjusted"},{"title":"Temperature Reached","deprecated":null,"version":null,"sidebarTitle":"Temperature reached","openapi":"/openapi.json post /thermostats/simulate/temperature_reached","href":"/api/thermostats/simulate/temperature_reached"}]}]},{"group":"Noise Sensors","pages":[{"title":"The Noise Sensor Object","href":"/api/noise_sensors/object"},{"title":"List Noise Sensors","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /noise_sensors/list","href":"/api/noise_sensors/list"},{"group":"Simulations","pages":[{"title":"Noise Sensor Simulations","href":"/api/noise_sensors/simulate/object"},{"title":"Simulate Triggering a Noise Threshold","deprecated":null,"version":null,"sidebarTitle":"Trigger noise threshold","openapi":"/openapi.json post /noise_sensors/simulate/trigger_noise_threshold","href":"/api/noise_sensors/simulate/trigger_noise_threshold"}]},{"group":"Noise Thresholds","pages":[{"title":"Noise Thresholds","href":"/api/noise_sensors/noise_thresholds/object"},{"title":"Noise Thresholds Events","href":"/api/noise_sensors/noise_thresholds/events"},{"title":"Get a Noise Threshold","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /noise_sensors/noise_thresholds/get","href":"/api/noise_sensors/noise_thresholds/get"},{"title":"List Noise Thresholds","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /noise_sensors/noise_thresholds/list","href":"/api/noise_sensors/noise_thresholds/list"},{"title":"Create a Noise Threshold","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /noise_sensors/noise_thresholds/create","href":"/api/noise_sensors/noise_thresholds/create"},{"title":"Delete a Noise Threshold","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /noise_sensors/noise_thresholds/delete","href":"/api/noise_sensors/noise_thresholds/delete"},{"title":"Update a Noise Threshold","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /noise_sensors/noise_thresholds/update","href":"/api/noise_sensors/noise_thresholds/update"}]}]},{"group":"Cameras","pages":[{"title":"Camera Live Views","href":"/api/cameras/live_views/object"},{"title":"Create a Camera Live View Session","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /cameras/live_views/create","href":"/api/cameras/live_views/create"},{"title":"Negotiate a Camera Live View","deprecated":null,"version":null,"sidebarTitle":"Offer","openapi":"/openapi.json post /cameras/live_views/offer","href":"/api/cameras/live_views/offer"},{"title":"Stop a Camera Live View Session","deprecated":null,"version":null,"sidebarTitle":"Stop","openapi":"/openapi.json post /cameras/live_views/stop","href":"/api/cameras/live_views/stop"}]},{"group":"Access Control Systems (ACS)","pages":[{"title":"Access Control Systems","href":"/api/acs/object"},{"group":"Access Groups","pages":[{"title":"The Access Group Object","href":"/api/acs/access_groups/object"},{"title":"Access Group Events","href":"/api/acs/access_groups/events"},{"title":"Access Group Errors","href":"/api/acs/access_groups/errors"},{"title":"Get an Access Group","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /acs/access_groups/get","href":"/api/acs/access_groups/get"},{"title":"List Access Groups","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /acs/access_groups/list","href":"/api/acs/access_groups/list"},{"title":"Delete an Access Group","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /acs/access_groups/delete","href":"/api/acs/access_groups/delete"},{"title":"Add an ACS User to an Access Group","deprecated":null,"version":null,"sidebarTitle":"Add user","openapi":"/openapi.json put /acs/access_groups/add_user","href":"/api/acs/access_groups/add_user"},{"title":"List Entrances Accessible to an Access Group","deprecated":null,"version":null,"sidebarTitle":"List accessible entrances","openapi":"/openapi.json get /acs/access_groups/list_accessible_entrances","href":"/api/acs/access_groups/list_accessible_entrances"},{"title":"List ACS Users in an Access Group","deprecated":null,"version":null,"sidebarTitle":"List users","openapi":"/openapi.json get /acs/access_groups/list_users","href":"/api/acs/access_groups/list_users"},{"title":"Remove an ACS User from an Access Group","deprecated":null,"version":null,"sidebarTitle":"Remove user","openapi":"/openapi.json delete /acs/access_groups/remove_user","href":"/api/acs/access_groups/remove_user"}]},{"group":"ACS Users","pages":[{"title":"The ACS User Object","href":"/api/acs/users/object"},{"title":"ACS User Events","href":"/api/acs/users/events"},{"title":"ACS User Errors and Warnings","href":"/api/acs/users/errors"},{"title":"Get an ACS User","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /acs/users/get","href":"/api/acs/users/get"},{"title":"List ACS Users","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /acs/users/list","href":"/api/acs/users/list"},{"title":"Create an ACS User","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /acs/users/create","href":"/api/acs/users/create"},{"title":"Delete an ACS User","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /acs/users/delete","href":"/api/acs/users/delete"},{"title":"Update an ACS User","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /acs/users/update","href":"/api/acs/users/update"},{"title":"Add an ACS User to an Access Group","deprecated":null,"version":null,"sidebarTitle":"Add to access group","openapi":"/openapi.json put /acs/users/add_to_access_group","href":"/api/acs/users/add_to_access_group"},{"title":"List ACS User-Accessible Entrances","deprecated":null,"version":null,"sidebarTitle":"List accessible entrances","openapi":"/openapi.json get /acs/users/list_accessible_entrances","href":"/api/acs/users/list_accessible_entrances"},{"title":"Remove an ACS User from an Access Group","deprecated":null,"version":null,"sidebarTitle":"Remove from access group","openapi":"/openapi.json delete /acs/users/remove_from_access_group","href":"/api/acs/users/remove_from_access_group"},{"title":"Revoke ACS User Access to All Entrances","deprecated":null,"version":null,"sidebarTitle":"Revoke access to all entrances","openapi":"/openapi.json post /acs/users/revoke_access_to_all_entrances","href":"/api/acs/users/revoke_access_to_all_entrances"},{"title":"Suspend an ACS User","deprecated":null,"version":null,"sidebarTitle":"Suspend","openapi":"/openapi.json post /acs/users/suspend","href":"/api/acs/users/suspend"},{"title":"Unsuspend an ACS User","deprecated":null,"version":null,"sidebarTitle":"Unsuspend","openapi":"/openapi.json post /acs/users/unsuspend","href":"/api/acs/users/unsuspend"}]},{"group":"Credentials","pages":[{"title":"The Credential Object","href":"/api/acs/credentials/object"},{"title":"Credential Events","href":"/api/acs/credentials/events"},{"title":"Credential Warnings","href":"/api/acs/credentials/errors"},{"title":"Get a Credential","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /acs/credentials/get","href":"/api/acs/credentials/get"},{"title":"List Credentials","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /acs/credentials/list","href":"/api/acs/credentials/list"},{"title":"Create a Credential for an ACS User","deprecated":null,"version":null,"sidebarTitle":"Create","openapi":"/openapi.json post /acs/credentials/create","href":"/api/acs/credentials/create"},{"title":"Delete a Credential","deprecated":null,"version":null,"sidebarTitle":"Delete","openapi":"/openapi.json delete /acs/credentials/delete","href":"/api/acs/credentials/delete"},{"title":"Update a Credential","deprecated":null,"version":null,"sidebarTitle":"Update","openapi":"/openapi.json patch /acs/credentials/update","href":"/api/acs/credentials/update"},{"title":"Assign a Credential to an ACS User","deprecated":null,"version":null,"sidebarTitle":"Assign","openapi":"/openapi.json patch /acs/credentials/assign","href":"/api/acs/credentials/assign"},{"title":"List Accessible Entrances","deprecated":null,"version":null,"sidebarTitle":"List accessible entrances","openapi":"/openapi.json get /acs/credentials/list_accessible_entrances","href":"/api/acs/credentials/list_accessible_entrances"},{"title":"Unassign a Credential from an ACS User","deprecated":null,"version":null,"sidebarTitle":"Unassign","openapi":"/openapi.json patch /acs/credentials/unassign","href":"/api/acs/credentials/unassign"}]},{"group":"Encoders","pages":[{"title":"The Encoder Object","href":"/api/acs/encoders/object"},{"title":"Encoder Events","href":"/api/acs/encoders/events"},{"title":"Get an Encoder","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /acs/encoders/get","href":"/api/acs/encoders/get"},{"title":"List Encoders","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /acs/encoders/list","href":"/api/acs/encoders/list"},{"title":"Encode a Credential","deprecated":null,"version":null,"sidebarTitle":"Encode credential","openapi":"/openapi.json post /acs/encoders/encode_credential","href":"/api/acs/encoders/encode_credential"},{"title":"Scan a Credential","deprecated":null,"version":null,"sidebarTitle":"Scan credential","openapi":"/openapi.json post /acs/encoders/scan_credential","href":"/api/acs/encoders/scan_credential"},{"title":"Scan to Assign a Credential","deprecated":null,"version":null,"sidebarTitle":"Scan to assign credential","openapi":"/openapi.json post /acs/encoders/scan_to_assign_credential","href":"/api/acs/encoders/scan_to_assign_credential"},{"group":"Simulations","pages":[{"title":"Encoder Simulations","href":"/api/acs/encoders/simulate/object"},{"title":"Simulate that the Next Credential Encoding Will Fail","deprecated":null,"version":null,"sidebarTitle":"Next credential encode will fail","openapi":"/openapi.json post /acs/encoders/simulate/next_credential_encode_will_fail","href":"/api/acs/encoders/simulate/next_credential_encode_will_fail"},{"title":"Simulate that the Next Credential Encoding Will Succeed","deprecated":null,"version":null,"sidebarTitle":"Next credential encode will succeed","openapi":"/openapi.json post /acs/encoders/simulate/next_credential_encode_will_succeed","href":"/api/acs/encoders/simulate/next_credential_encode_will_succeed"},{"title":"Simulate that the Next Credential Scan Will Fail","deprecated":null,"version":null,"sidebarTitle":"Next credential scan will fail","openapi":"/openapi.json post /acs/encoders/simulate/next_credential_scan_will_fail","href":"/api/acs/encoders/simulate/next_credential_scan_will_fail"},{"title":"Simulate that the Next Credential Scan Will Succeed","deprecated":null,"version":null,"sidebarTitle":"Next credential scan will succeed","openapi":"/openapi.json post /acs/encoders/simulate/next_credential_scan_will_succeed","href":"/api/acs/encoders/simulate/next_credential_scan_will_succeed"}]}]},{"group":"Entrances","pages":[{"title":"The Entrance Object","href":"/api/acs/entrances/object"},{"title":"Entrance Events","href":"/api/acs/entrances/events"},{"title":"Entrance Errors and Warnings","href":"/api/acs/entrances/errors"},{"title":"Get an Entrance","deprecated":null,"version":null,"sidebarTitle":"Get","openapi":"/openapi.json get /acs/entrances/get","href":"/api/acs/entrances/get"},{"title":"List Entrances","deprecated":null,"version":null,"sidebarTitle":"List","openapi":"/openapi.json get /acs/entrances/list","href":"/api/acs/entrances/list"},{"title":"Grant an ACS User Access to an Entrance","deprecated":null,"version":null,"sidebarTitle":"Grant access","openapi":"/openapi.json post /acs/entrances/grant_access","href":"/api/acs/entrances/grant_access"},{"title":"List Credentials with Access to an Entrance","deprecated":null,"version":null,"sidebarTitle":"List credentials with access","openapi":"/openapi.json get /acs/entrances/list_credentials_with_access","href":"/api/acs/entrances/list_credentials_with_access"},{"title":"Unlock an Entrance","deprecated":null,"version":null,"sidebarTitle":"Unlock","openapi":"/openapi.json post /acs/entrances/unlock","href":"/api/acs/entrances/unlock"}]},{"group":"Syste
[...]
